Bug 1127540 - drupal6: drupal: denial of service issue (SA-CORE-2014-004) [epel-all]
Summary: drupal6: drupal: denial of service issue (SA-CORE-2014-004) [epel-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: drupal6
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Borsa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=jsmith
Depends On:
Blocks: CVE-2014-5267
TreeView+ depends on / blocked
 
Reported: 2014-08-07 06:03 UTC by Murray McAllister
Modified: 2015-01-04 22:41 UTC (History)
7 users (show)

Fixed In Version: drupal6-6.33-1.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-26 17:00:44 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-08-07 06:03:15 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-08-07 06:03:22 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1127538,1127540

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1127538,1127540

Comment 2 Peter Borsa 2014-08-07 08:53:26 UTC
I take care of it.

Comment 3 Fedora Update System 2014-08-07 08:55:55 UTC
drupal6-6.33-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/drupal6-6.33-1.fc20

Comment 4 Fedora Update System 2014-08-07 09:01:13 UTC
drupal6-6.33-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-6.33-1.el6

Comment 5 Fedora Update System 2014-08-07 09:01:54 UTC
drupal6-6.33-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-6.33-1.el5

Comment 6 Murray McAllister 2014-08-07 13:13:46 UTC
(In reply to Peter Borsa from comment #2)
> I take care of it.

Thank you, you are very fast! :)

Comment 7 Fedora Update System 2014-08-08 00:40:20 UTC
Package drupal6-6.33-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing drupal6-6.33-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2148/drupal6-6.33-1.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-09-26 17:00:44 UTC
drupal6-6.33-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-09-26 17:02:08 UTC
drupal6-6.33-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.